Loading...
Searching...
No Matches
osmo_ss7_route Struct Reference

`#include <ss7_route.h>`

## Data Fields

struct llist_head | list
| member in osmo_ss7_route_table::routes
struct osmo_ss7_route_table * | rtable
| osmo_ss7_route_table to which we belong
struct { |
struct osmo_ss7_linkset * linkset |
| pointer to linkset (destination) of route More...
struct osmo_ss7_as * as |
| pointer to Application Server More...
} | dest
struct { |
uint32_t pc |
uint32_t mask |
char * linkset_name |
| human-specified linkset name More...
uint32_t priority |
| lower priority is higher More...
uint8_t qos_class |
} | cfg

## Field Documentation

## as

struct osmo_ss7_as* osmo_ss7_route::as

pointer to Application Server

Referenced by _rout_key(), check_any_other_asp_not_down(), gen_mtp_transfer_req_xua(), handle_rkey_dereg(), handle_rkey_reg(), hmrt_message_for_routing(), ipa_del_route(), osmo_ss7_route_get_dest_as(), osmo_ss7_route_name(), ss7_route_set_linkset(), and ss7_route_table_del_routes_by_as().

## [struct]

struct { ... } osmo_ss7_route::cfg

Referenced by DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), route_insert_sorted(), ss7_route_alloc(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), vty_dump_rtable(), and write_one_rtable().

## [struct]

struct { ... } osmo_ss7_route::dest

Referenced by gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), ipa_del_route(), osmo_ss7_route_get_dest_as(), osmo_ss7_route_name(), ss7_route_set_linkset(), ss7_route_table_del_routes_by_as(), and ss7_route_table_del_routes_by_linkset().

## linkset

struct osmo_ss7_linkset* osmo_ss7_route::linkset

pointer to linkset (destination) of route

Referenced by gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), osmo_ss7_route_name(), ss7_route_set_linkset(), and ss7_route_table_del_routes_by_linkset().

## linkset_name

char* osmo_ss7_route::linkset_name

human-specified linkset name

Referenced by ss7_route_create(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), vty_dump_rtable(), and write_one_rtable().

## list

struct llist_head osmo_ss7_route::list

member in osmo_ss7_route_table::routes

Referenced by route_insert_sorted(), ss7_route_alloc(), ss7_route_destroy(), ss7_route_inserted(), ss7_route_table_del_routes_by_as(), ss7_route_table_del_routes_by_linkset(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), vty_dump_rtable(), and write_one_rtable().

## mask

uint32_t osmo_ss7_route::mask

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), route_insert_sorted(), ss7_route_alloc(), ss7_route_create(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), and write_one_rtable().

## pc

uint32_t osmo_ss7_route::pc

Referenced by _rout_key(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_create(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), ss7_route_table_find_route_by_dpc(), ss7_route_table_find_route_by_dpc_mask(), and write_one_rtable().

## priority

uint32_t osmo_ss7_route::priority

lower priority is higher

Referenced by DEFUN_ATTR(), route_insert_sorted(), ss7_route_alloc(), vty_dump_rtable(), and write_one_rtable().

## qos_class

uint8_t osmo_ss7_route::qos_class

Referenced by DEFUN_ATTR(), and write_one_rtable().

## rtable

struct osmo_ss7_route_table* osmo_ss7_route::rtable

osmo_ss7_route_table to which we belong

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_route_name(), osmo_ss7_route_print(), ss7_route_alloc(), ss7_route_destroy(), ss7_route_insert(), ss7_route_set_linkset(), and write_one_rtable().

The documentation for this struct was generated from the following file:

- src/ss7_route.h